Miss any of our Open RFC calls?Watch the recordings here! »

babel-plugin-functionly-annotations

1.0.0 • Public • Published

babel-plugin-functionly-annotations

A babel transformer plugin for functionly decorators.

Use babel-plugin-transform-decorators-legacy to support decorators.

Install

npm install --save-dev babel-plugin-functionly-annotations
npm install --save-dev babel-plugin-transform-decorators-legacy babel-preset-es2015-node5

.babelrc

{
  "plugins": [
    "functionly-annotations",
    "transform-decorators-legacy"
  ],
  "presets": [
    "es2015-node5"
  ]
}

Install

npm i babel-plugin-functionly-annotations

DownloadsWeekly Downloads

0

Version

1.0.0

License

ISC

Last publish

Collaborators

  • avatar
  • avatar